Guest Auth Manager Validate Credentials In Guest

Guest Auth Manager Validate Credentials In Guest
Validates the *GuestAuthentication* credentials.

Validates the GuestAuthentication credentials.

This can be used to check the authentication data, or validate any authentication that has a timeout is still valid. If the authentication is not valid, GuestPermissionDenied will be thrown.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/GuestAuthManager/{moId}/ValidateCredentialsInGuest
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case GuestAuthManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ValidateCredentialsInGuestRequestType of type(s) application/json
Required

Show optional properties

{
    "vm": {},
    "auth": {}
}
{
    "vm": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "auth": {
        "_typeName": "string",
        "interactiveSession": false
    }
}
vm
Required

MoRef of the VM to perform the operation on.

Required privileges: VirtualMachine.GuestOperations.Query

auth
Required

The guest authentication data. See GuestAuthentication.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

GuestOperationsFault: if there is an error processing a guest operation.

GuestOperationsUnavailable: if the VM agent for guest operations is not running.

InvalidPowerState: if the VM is not powered on.

InvalidState: if the operation cannot be performed because of the virtual machine's current state.

TaskInProgress: if the virtual machine is busy.

GuestComponentsOutOfDate: if the guest agent is too old to support the operation.

OperationNotSupportedByGuest: if the operation is not supported by the guest OS.

OperationDisabledByGuest: if the operation is not enabled due to guest agent configuration.

InvalidGuestLogin: if the the guest authentication information was not accepted.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"vm":"{}","auth":"{}"}' https://{api_host}/sdk/vim25/{release}/GuestAuthManager/{moId}/ValidateCredentialsInGuest